From e1ffeb16ee2f1d252d27e3e76b748b7964e4ae7d Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Aug 01 2017 13:33:45 +0000
Subject: [PATCH 916/1001] Fix a unit test broken by adefa8a


---

diff --git a/hubs/tests/test_widget_caching.py b/hubs/tests/test_widget_caching.py
index 2a2684f..2b9ec36 100644
--- a/hubs/tests/test_widget_caching.py
+++ b/hubs/tests/test_widget_caching.py
@@ -38,7 +38,7 @@ class CachedFunctionTest(APPTest):
         super(CachedFunctionTest, self).tearDown()
 
     def test_get_cache_key(self):
-        value = "%d|DummyFunction" % self.w_instance.idx
+        value = '%d|DummyFunction|{"text": "Testing."}' % self.w_instance.idx
         self.assertEqual(
             self.fn.get_cache_key(),
             value.encode("ascii"),
diff --git a/hubs/widgets/caching.py b/hubs/widgets/caching.py
index 10b7903..c531cc0 100644
--- a/hubs/widgets/caching.py
+++ b/hubs/widgets/caching.py
@@ -1,6 +1,7 @@
 from __future__ import unicode_literals
 
 import datetime
+import json
 import logging
 
 import dogpile.cache
@@ -55,7 +56,7 @@ class CachedFunction(object):
         return "|".join([
             str(self.instance.idx),
             self.__class__.__name__,
-            str(dict(self.instance.config)),
+            json.dumps(self.instance.config),
         ]).encode('utf-8')
 
     def get_data(self):

